Redirect images without deleting
Closed, DeclinedPublic

Description

Image redirects only works when there is no file at the redirected image name. So when redirecting an existing image, it has to be deleted first. In some cases it is useful to let non-admins see the file history of a redirected image. That is not possible when the file history is deleted.
Therefor it would be nice if "#REDIRECT[[Image:someimage]]" on image pages for an existing images would redirect the image, the same as on image pages for non-existing images.

Currently the 'upload' permission is necessary and sufficient to add "#REDIRECT[[Image:someimage]]" to image pages, even for existing images where it does not work. 'reupload' (or a new 'redirectimage') should probably be required to redirect existing images.


Version: 1.13.x
Severity: enhancement

bzimport set Reference to bz14928.
Lejonel created this task.Via LegacyJul 25 2008, 10:32 PM
siebrand added a comment.Via ConduitAug 11 2008, 9:54 AM

Assigned to developer of feature.

bzimport added a comment.Via ConduitOct 28 2008, 2:52 PM

Bryan.TongMinh wrote:

The only case where this would be useful is when an image is reuploaded as another image. This is better fixed by image moving.

In general I would say WONTFIX.

Gilles added a project: Multimedia.Via WebDec 4 2014, 10:58 AM
Gilles moved this task to Closed on the Multimedia workboard.

Add Comment